import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import cx from 'classnames';
import { SPACING } from './constants';
var CLASS = 'sui-SectionBasic';

var getSpacingClassName = function getSpacingClassName(modifier) {
  return CLASS + "-bottomSpacing--" + modifier;
};

var SectionBasic = function SectionBasic(_ref) {
  var _cx;

  var children = _ref.children,
      _ref$contentBottomSpa = _ref.contentBottomSpacing,
      contentBottomSpacing = _ref$contentBottomSpa === void 0 ? SPACING.LARGE : _ref$contentBottomSpa,
      _ref$customContentWhe = _ref.customContentWhenEmpty,
      customContentWhenEmpty = _ref$customContentWhe === void 0 ? null : _ref$customContentWhe,
      _ref$headerBottomSpac = _ref.headerBottomSpacing,
      headerBottomSpacing = _ref$headerBottomSpac === void 0 ? SPACING.LARGE : _ref$headerBottomSpac,
      _ref$sectionBottomSpa = _ref.sectionBottomSpacing,
      sectionBottomSpacing = _ref$sectionBottomSpa === void 0 ? SPACING.NONE : _ref$sectionBottomSpa,
      _ref$separator = _ref.separator,
      separator = _ref$separator === void 0 ? false : _ref$separator,
      textContent = _ref.textContent,
      title = _ref.title;
  return /*#__PURE__*/_jsxs("section", {
    className: cx(CLASS, getSpacingClassName(sectionBottomSpacing)),
    children: [title && /*#__PURE__*/_jsx("header", {
      className: cx(CLASS + "-header", getSpacingClassName(headerBottomSpacing)),
      children: /*#__PURE__*/_jsx("h3", {
        className: CLASS + "-title",
        children: title
      })
    }), /*#__PURE__*/_jsx("div", {
      className: cx(CLASS + "-content", (_cx = {}, _cx[getSpacingClassName(contentBottomSpacing)] = separator, _cx)),
      children: textContent ? /*#__PURE__*/_jsx("p", {
        className: CLASS + "-textContent",
        children: textContent
      }) : children || customContentWhenEmpty
    }), separator && /*#__PURE__*/_jsx("hr", {
      className: CLASS + "-separator"
    })]
  });
};

SectionBasic.displayName = 'SectionBasic';
export default SectionBasic;
export { SPACING as sectionBasicBottomSpacing };